uniform float iGlobalTime;
uniform vec3 iResolution;

uniform sampler2D iChannel1;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / iResolution.xy;
	float frame = mod(-floor(iGlobalTime * 25.0), 660.0);
	vec2 frame2 = vec2(mod(frame, 22.0), floor(frame/22.0));
	vec2 texuv = (uv + frame2) / vec2(22.0, 30.0);
	gl_FragColor = texture2D(iChannel1, texuv);
}